Package org.eclipse.graphiti.features.context.impl

# Class DeleteContext

java.lang.Object
org.eclipse.graphiti.PropertyBag
org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext
org.eclipse.graphiti.features.context.impl.DeleteContext

All Implemented Interfaces:
  `IContext`, `IDeleteContext`, `IPictogramElementContext`, `IPropertyBag`

public class DeleteContext extends PictogramElementContext implements IDeleteContext
The Class DeleteContext.

## Constructor Summary

Constructors
Constructor
Description
`DeleteContext(PictogramElement pictogramElement)`
Creates a new `DeleteContext`.

## Method Summary

Modifier and Type
Method
Description
`IMultiDeleteInfo`
`getMultiDeleteInfo()`
Returns the multiple delete information.
`void`
`setMultiDeleteInfo(IMultiDeleteInfo multiDeleteInfo)`

### Methods inherited from class org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext

`getPictogramElement, setPictogramElement, toString`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.IPictogramElementContext

`getPictogramElement`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Constructor Details

### DeleteContext

public DeleteContext(PictogramElement pictogramElement)
Creates a new `DeleteContext`.

Parameters:
  `pictogramElement` - the pictogram element

## Method Details

### setMultiDeleteInfo

public void setMultiDeleteInfo(IMultiDeleteInfo multiDeleteInfo)

Since:
  0.8

### getMultiDeleteInfo

public IMultiDeleteInfo getMultiDeleteInfo()
Description copied from interface: `IDeleteContext`
Returns the multiple delete information.

Specified by:
  `getMultiDeleteInfo` in interface `IDeleteContext`
Returns:
  IMultiDeleteInfo in case of a multiple delete operation and null in all other cases.
Since:
  0.8